Bug 1215527 - Drop usage of xorg-x11-drv-void in xpra's xorg.conf
Summary: Drop usage of xorg-x11-drv-void in xpra's xorg.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpra
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-27 05:15 UTC by Peter Hutterer
Modified: 2015-05-11 00:11 UTC (History)
1 user (show)

Fixed In Version: xpra-0.14.22-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-10 23:30:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xpra 843 0 None None None Never

Description Peter Hutterer 2015-04-27 05:15:42 UTC
Description of problem:
The use of the "void" input driver in xpra is obsolete. This driver existed to provide empty input devices back when the server required at least one pair of input devices to exist. That hasn't been true since server 1.6 (in 2007).

The only use of it seems to be in the xorg.conf where it can be safely removed i.e. both InputDevice sections and the references in the ServerLayout. The server will initialize a default device for both.

Additional info:
Sorry, I only noticed this after retiring xorg-x11-drv-void. It's only retired in git so far though.

Comment 1 Jonathan Underwood 2015-04-27 07:56:57 UTC
OK, xorg.conf is autogenerated by xpra, so this will require some patching. I'll report upstream, but for now please don't remove it from the repos.

Comment 2 Fedora Update System 2015-04-27 14:43:16 UTC
xpra-0.14.21-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xpra-0.14.21-5.fc22

Comment 3 Fedora Update System 2015-04-27 14:44:05 UTC
xpra-0.14.21-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xpra-0.14.21-5.fc21

Comment 4 Fedora Update System 2015-04-27 14:44:34 UTC
xpra-0.14.21-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xpra-0.14.21-5.fc20

Comment 5 Jonathan Underwood 2015-04-27 17:24:54 UTC
Note the 0.14.21-5 packages still Require the void driver - I'll fix that in the next update I push.

Comment 6 Peter Hutterer 2015-04-27 23:26:39 UTC
Upstream changes:
https://www.xpra.org/trac/changeset/9165/xpra
https://www.xpra.org/trac/changeset/9166/xpra

(In reply to Jonathan Underwood from comment #5)
> Note the 0.14.21-5 packages still Require the void driver - I'll fix that in
> the next update I push.

no worries, thanks. Let me know when you're done with that please so I can finish the retirement of the driver.

Comment 7 Fedora Update System 2015-04-28 12:44:52 UTC
xpra-0.14.22-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xpra-0.14.22-4.fc20

Comment 8 Fedora Update System 2015-04-28 12:54:18 UTC
xpra-0.14.22-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xpra-0.14.22-4.fc21

Comment 9 Fedora Update System 2015-04-28 12:55:49 UTC
xpra-0.14.22-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xpra-0.14.22-4.fc22

Comment 10 Fedora Update System 2015-04-28 12:58:37 UTC
Package xpra-0.14.21-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xpra-0.14.21-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7006/xpra-0.14.21-5.fc21
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-10 23:30:49 UTC
xpra-0.14.22-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-11 00:11:33 UTC
xpra-0.14.22-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.